com.amazon.redshift.jdbc

## Class MetadataAPIHelper.ProcedureFunctionColumnData

- java.lang.Object
- - com.amazon.redshift.jdbc.MetadataAPIHelper.ProcedureFunctionColumnData

Enclosing class:
  MetadataAPIHelper

    protected static class MetadataAPIHelper.ProcedureFunctionColumnData
    extends Object

Data container for procedure and function column metadata used by getProcedureColumns() and getFunctionColumns().

These JDBC metadata methods require a "specific name" to uniquely identify procedures/functions that may have the same name but different parameter signatures (overloading). The specific name is constructed by combining the procedure/function name with its argument list, which matches the format returned by SHOW PROCEDURES/SHOW FUNCTIONS commands.

This class associates the specific name with the complete parameter information retrieved from SHOW PARAMETERS, enabling proper mapping between the metadata calls and the underlying database objects.

Usage Pattern:

1. Execute SHOW PROCEDURES/FUNCTIONS to get procedure names and argument lists
2. Build specific names from name + argument list
3. Execute SHOW PARAMETERS for each procedure/function
4. Store results in this container for later retrieval by JDBC metadata methods

See Also:
  `DatabaseMetaData.getProcedureColumns(String, String, String, String)`, `DatabaseMetaData.getFunctionColumns(String, String, String, String)`

### Constructor Summary

Constructors
Constructor and Description
`ProcedureFunctionColumnData(String specificName, List<MetadataAPIHelper.ShowParametersInfo> resultSet)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<MetadataAPIHelper.ShowParametersInfo>` `getResultSet()`
`String` `getSpecificName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProcedureFunctionColumnData

    public ProcedureFunctionColumnData(String specificName,
                                       List<MetadataAPIHelper.ShowParametersInfo> resultSet)

### Method Detail

#### getSpecificName

    public String getSpecificName()

#### getResultSet

    public List<MetadataAPIHelper.ShowParametersInfo> getResultSet()